/**
  *  \file client/actions/gafcode.h
  *  \brief Global Actions: Friendly Codes
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_ACTIONS_GAFCODE_H
#define PCC_V2_CLIENT_ACTIONS_GAFCODE_H

#include "client/globalact.h"

/** "Randomize all friendly codes" action. */
class WGlobalRandomFCodeAction : public WGlobalAction {
    class Executer;
 public:
    WGlobalActionExecuter* prepare();
};

/** "Set all friendly codes" action. */
class WGlobalSetFCodeAction : public WGlobalAction {
    class Executer;
 public:
    WGlobalActionExecuter* prepare();
};

#endif
